require_relative "../../utils"
require_relative "../../types/canvas_base_type"
require_all(File.absolute_path(__FILE__), "../../mutations/canvas/")

module LMSGraphQL
  module Mutations
    module Canvas
      class MutationType < LMSGraphQL::Types::Canvas::BaseType
        description "Canvas API mutations"

        field :close_notification_for_user, mutation: LMSGraphQL::Mutations::Canvas::CloseNotificationForUser
        field :create_global_notification, mutation: LMSGraphQL::Mutations::Canvas::CreateGlobalNotification
        field :update_global_notification, mutation: LMSGraphQL::Mutations::Canvas::UpdateGlobalNotification
        field :start_report, mutation: LMSGraphQL::Mutations::Canvas::StartReport
        field :delete_report, mutation: LMSGraphQL::Mutations::Canvas::DeleteReport
        field :update_account, mutation: LMSGraphQL::Mutations::Canvas::UpdateAccount
        field :delete_user_from_root_account, mutation: LMSGraphQL::Mutations::Canvas::DeleteUserFromRootAccount
        field :create_new_sub_account, mutation: LMSGraphQL::Mutations::Canvas::CreateNewSubAccount
        field :delete_sub_account, mutation: LMSGraphQL::Mutations::Canvas::DeleteSubAccount
        field :make_account_admin, mutation: LMSGraphQL::Mutations::Canvas::MakeAccountAdmin
        field :remove_account_admin, mutation: LMSGraphQL::Mutations::Canvas::RemoveAccountAdmin
        field :create_external_feed_courses, mutation: LMSGraphQL::Mutations::Canvas::CreateExternalFeedCourse
        field :create_external_feed_groups, mutation: LMSGraphQL::Mutations::Canvas::CreateExternalFeedGroup
        field :delete_external_feed_courses, mutation: LMSGraphQL::Mutations::Canvas::DeleteExternalFeedCourse
        field :delete_external_feed_groups, mutation: LMSGraphQL::Mutations::Canvas::DeleteExternalFeedGroup
        field :create_appointment_group, mutation: LMSGraphQL::Mutations::Canvas::CreateAppointmentGroup
        field :update_appointment_group, mutation: LMSGraphQL::Mutations::Canvas::UpdateAppointmentGroup
        field :delete_appointment_group, mutation: LMSGraphQL::Mutations::Canvas::DeleteAppointmentGroup
        field :set_extensions_for_student_assignment_submissions, mutation: LMSGraphQL::Mutations::Canvas::SetExtensionsForStudentAssignmentSubmission
        field :create_assignment_group, mutation: LMSGraphQL::Mutations::Canvas::CreateAssignmentGroup
        field :edit_assignment_group, mutation: LMSGraphQL::Mutations::Canvas::EditAssignmentGroup
        field :destroy_assignment_group, mutation: LMSGraphQL::Mutations::Canvas::DestroyAssignmentGroup
        field :delete_assignment, mutation: LMSGraphQL::Mutations::Canvas::DeleteAssignment
        field :duplicate_assignnment, mutation: LMSGraphQL::Mutations::Canvas::DuplicateAssignnment
        field :create_assignment, mutation: LMSGraphQL::Mutations::Canvas::CreateAssignment
        field :edit_assignment, mutation: LMSGraphQL::Mutations::Canvas::EditAssignment
        field :bulk_update_assignment_dates, mutation: LMSGraphQL::Mutations::Canvas::BulkUpdateAssignmentDate
        field :create_assignment_override, mutation: LMSGraphQL::Mutations::Canvas::CreateAssignmentOverride
        field :update_assignment_override, mutation: LMSGraphQL::Mutations::Canvas::UpdateAssignmentOverride
        field :delete_assignment_override, mutation: LMSGraphQL::Mutations::Canvas::DeleteAssignmentOverride
        field :batch_create_overrides_in_course, mutation: LMSGraphQL::Mutations::Canvas::BatchCreateOverridesInCourse
        field :batch_update_overrides_in_course, mutation: LMSGraphQL::Mutations::Canvas::BatchUpdateOverridesInCourse
        field :add_authentication_provider, mutation: LMSGraphQL::Mutations::Canvas::AddAuthenticationProvider
        field :update_authentication_provider, mutation: LMSGraphQL::Mutations::Canvas::UpdateAuthenticationProvider
        field :delete_authentication_provider, mutation: LMSGraphQL::Mutations::Canvas::DeleteAuthenticationProvider
        field :update_account_auth_settings, mutation: LMSGraphQL::Mutations::Canvas::UpdateAccountAuthSetting
        field :update_associated_courses, mutation: LMSGraphQL::Mutations::Canvas::UpdateAssociatedCourse
        field :begin_migration_to_push_to_associated_courses, mutation: LMSGraphQL::Mutations::Canvas::BeginMigrationToPushToAssociatedCourse
        field :set_or_remove_restrictions_on_blueprint_course_object, mutation: LMSGraphQL::Mutations::Canvas::SetOrRemoveRestrictionsOnBlueprintCourseObject
        field :create_bookmark, mutation: LMSGraphQL::Mutations::Canvas::CreateBookmark
        field :update_bookmark, mutation: LMSGraphQL::Mutations::Canvas::UpdateBookmark
        field :delete_bookmark, mutation: LMSGraphQL::Mutations::Canvas::DeleteBookmark
        field :create_calendar_event, mutation: LMSGraphQL::Mutations::Canvas::CreateCalendarEvent
        field :reserve_time_slot, mutation: LMSGraphQL::Mutations::Canvas::ReserveTimeSlot
        field :reserve_time_slot_participant_id, mutation: LMSGraphQL::Mutations::Canvas::ReserveTimeSlotParticipantId
        field :update_calendar_event, mutation: LMSGraphQL::Mutations::Canvas::UpdateCalendarEvent
        field :delete_calendar_event, mutation: LMSGraphQL::Mutations::Canvas::DeleteCalendarEvent
        field :set_course_timetable, mutation: LMSGraphQL::Mutations::Canvas::SetCourseTimetable
        field :create_or_update_events_directly_for_course_timetable, mutation: LMSGraphQL::Mutations::Canvas::CreateOrUpdateEventsDirectlyForCourseTimetable
        field :create_communication_channel, mutation: LMSGraphQL::Mutations::Canvas::CreateCommunicationChannel
        field :delete_communication_channel_id, mutation: LMSGraphQL::Mutations::Canvas::DeleteCommunicationChannelId
        field :delete_communication_channel_type, mutation: LMSGraphQL::Mutations::Canvas::DeleteCommunicationChannelType
        field :delete_push_notification_endpoint, mutation: LMSGraphQL::Mutations::Canvas::DeletePushNotificationEndpoint
        field :export_content_courses, mutation: LMSGraphQL::Mutations::Canvas::ExportContentCourse
        field :export_content_groups, mutation: LMSGraphQL::Mutations::Canvas::ExportContentGroup
        field :export_content_users, mutation: LMSGraphQL::Mutations::Canvas::ExportContentUser
        field :update_migration_issue_accounts, mutation: LMSGraphQL::Mutations::Canvas::UpdateMigrationIssueAccount
        field :update_migration_issue_courses, mutation: LMSGraphQL::Mutations::Canvas::UpdateMigrationIssueCourse
        field :update_migration_issue_groups, mutation: LMSGraphQL::Mutations::Canvas::UpdateMigrationIssueGroup
        field :update_migration_issue_users, mutation: LMSGraphQL::Mutations::Canvas::UpdateMigrationIssueUser
        field :create_content_migration_accounts, mutation: LMSGraphQL::Mutations::Canvas::CreateContentMigrationAccount
        field :create_content_migration_courses, mutation: LMSGraphQL::Mutations::Canvas::CreateContentMigrationCourse
        field :create_content_migration_groups, mutation: LMSGraphQL::Mutations::Canvas::CreateContentMigrationGroup
        field :create_content_migration_users, mutation: LMSGraphQL::Mutations::Canvas::CreateContentMigrationUser
        field :update_content_migration_accounts, mutation: LMSGraphQL::Mutations::Canvas::UpdateContentMigrationAccount
        field :update_content_migration_courses, mutation: LMSGraphQL::Mutations::Canvas::UpdateContentMigrationCourse
        field :update_content_migration_groups, mutation: LMSGraphQL::Mutations::Canvas::UpdateContentMigrationGroup
        field :update_content_migration_users, mutation: LMSGraphQL::Mutations::Canvas::UpdateContentMigrationUser
        field :enable_disable_or_clear_explicit_csp_setting_courses, mutation: LMSGraphQL::Mutations::Canvas::EnableDisableOrClearExplicitCspSettingCourse
        field :enable_disable_or_clear_explicit_csp_setting_accounts, mutation: LMSGraphQL::Mutations::Canvas::EnableDisableOrClearExplicitCspSettingAccount
        field :lock_or_unlock_current_csp_settings_for_sub_accounts_and_courses, mutation: LMSGraphQL::Mutations::Canvas::LockOrUnlockCurrentCspSettingsForSubAccountsAndCourse
        field :add_allowed_domain_to_account, mutation: LMSGraphQL::Mutations::Canvas::AddAllowedDomainToAccount
        field :add_multiple_allowed_domains_to_account, mutation: LMSGraphQL::Mutations::Canvas::AddMultipleAllowedDomainsToAccount
        field :remove_domain_from_account, mutation: LMSGraphQL::Mutations::Canvas::RemoveDomainFromAccount
        field :create_content_share, mutation: LMSGraphQL::Mutations::Canvas::CreateContentShare
        field :remove_content_share, mutation: LMSGraphQL::Mutations::Canvas::RemoveContentShare
        field :add_users_to_content_share, mutation: LMSGraphQL::Mutations::Canvas::AddUsersToContentShare
        field :update_content_share, mutation: LMSGraphQL::Mutations::Canvas::UpdateContentShare
        field :create_conversation, mutation: LMSGraphQL::Mutations::Canvas::CreateConversation
        field :edit_conversation, mutation: LMSGraphQL::Mutations::Canvas::EditConversation
        field :mark_all_as_read, mutation: LMSGraphQL::Mutations::Canvas::MarkAllAsRead
        field :delete_conversation, mutation: LMSGraphQL::Mutations::Canvas::DeleteConversation
        field :add_recipients, mutation: LMSGraphQL::Mutations::Canvas::AddRecipient
        field :add_message, mutation: LMSGraphQL::Mutations::Canvas::AddMessage
        field :delete_message, mutation: LMSGraphQL::Mutations::Canvas::DeleteMessage
        field :batch_update_conversations, mutation: LMSGraphQL::Mutations::Canvas::BatchUpdateConversation
        field :course_quiz_extensions_set_extensions_for_student_quiz_submissions, mutation: LMSGraphQL::Mutations::Canvas::CourseQuizExtensionsSetExtensionsForStudentQuizSubmission
        field :create_new_course, mutation: LMSGraphQL::Mutations::Canvas::CreateNewCourse
        field :courses_upload_file, mutation: LMSGraphQL::Mutations::Canvas::CoursesUploadFile
        field :courses_preview_processed_html, mutation: LMSGraphQL::Mutations::Canvas::CoursesPreviewProcessedHtml
        field :delete_conclude_course, mutation: LMSGraphQL::Mutations::Canvas::DeleteConcludeCourse
        field :update_course_settings, mutation: LMSGraphQL::Mutations::Canvas::UpdateCourseSetting
        field :update_course, mutation: LMSGraphQL::Mutations::Canvas::UpdateCourse
        field :update_courses, mutation: LMSGraphQL::Mutations::Canvas::UpdateCourse
        field :reset_course, mutation: LMSGraphQL::Mutations::Canvas::ResetCourse
        field :copy_course_content, mutation: LMSGraphQL::Mutations::Canvas::CopyCourseContent
        field :create_custom_gradebook_column, mutation: LMSGraphQL::Mutations::Canvas::CreateCustomGradebookColumn
        field :update_custom_gradebook_column, mutation: LMSGraphQL::Mutations::Canvas::UpdateCustomGradebookColumn
        field :delete_custom_gradebook_column, mutation: LMSGraphQL::Mutations::Canvas::DeleteCustomGradebookColumn
        field :reorder_custom_columns, mutation: LMSGraphQL::Mutations::Canvas::ReorderCustomColumn
        field :update_column_data, mutation: LMSGraphQL::Mutations::Canvas::UpdateColumnDatum
        field :bulk_update_column_data, mutation: LMSGraphQL::Mutations::Canvas::BulkUpdateColumnDatum
        field :create_new_discussion_topic_courses, mutation: LMSGraphQL::Mutations::Canvas::CreateNewDiscussionTopicCourse
        field :create_new_discussion_topic_groups, mutation: LMSGraphQL::Mutations::Canvas::CreateNewDiscussionTopicGroup
        field :update_topic_courses, mutation: LMSGraphQL::Mutations::Canvas::UpdateTopicCourse
        field :update_topic_groups, mutation: LMSGraphQL::Mutations::Canvas::UpdateTopicGroup
        field :delete_topic_courses, mutation: LMSGraphQL::Mutations::Canvas::DeleteTopicCourse
        field :delete_topic_groups, mutation: LMSGraphQL::Mutations::Canvas::DeleteTopicGroup
        field :reorder_pinned_topics_courses, mutation: LMSGraphQL::Mutations::Canvas::ReorderPinnedTopicsCourse
        field :reorder_pinned_topics_groups, mutation: LMSGraphQL::Mutations::Canvas::ReorderPinnedTopicsGroup
        field :update_entry_courses, mutation: LMSGraphQL::Mutations::Canvas::UpdateEntryCourse
        field :update_entry_groups, mutation: LMSGraphQL::Mutations::Canvas::UpdateEntryGroup
        field :delete_entry_courses, mutation: LMSGraphQL::Mutations::Canvas::DeleteEntryCourse
        field :delete_entry_groups, mutation: LMSGraphQL::Mutations::Canvas::DeleteEntryGroup
        field :post_entry_courses, mutation: LMSGraphQL::Mutations::Canvas::PostEntryCourse
        field :post_entry_groups, mutation: LMSGraphQL::Mutations::Canvas::PostEntryGroup
        field :duplicate_discussion_topic_courses, mutation: LMSGraphQL::Mutations::Canvas::DuplicateDiscussionTopicCourse
        field :duplicate_discussion_topic_groups, mutation: LMSGraphQL::Mutations::Canvas::DuplicateDiscussionTopicGroup
        field :post_reply_courses, mutation: LMSGraphQL::Mutations::Canvas::PostReplyCourse
        field :post_reply_groups, mutation: LMSGraphQL::Mutations::Canvas::PostReplyGroup
        field :mark_topic_as_read_courses, mutation: LMSGraphQL::Mutations::Canvas::MarkTopicAsReadCourse
        field :mark_topic_as_read_groups, mutation: LMSGraphQL::Mutations::Canvas::MarkTopicAsReadGroup
        field :mark_topic_as_unread_courses, mutation: LMSGraphQL::Mutations::Canvas::MarkTopicAsUnreadCourse
        field :mark_topic_as_unread_groups, mutation: LMSGraphQL::Mutations::Canvas::MarkTopicAsUnreadGroup
        field :mark_all_entries_as_read_courses, mutation: LMSGraphQL::Mutations::Canvas::MarkAllEntriesAsReadCourse
        field :mark_all_entries_as_read_groups, mutation: LMSGraphQL::Mutations::Canvas::MarkAllEntriesAsReadGroup
        field :mark_all_entries_as_unread_courses, mutation: LMSGraphQL::Mutations::Canvas::MarkAllEntriesAsUnreadCourse
        field :mark_all_entries_as_unread_groups, mutation: LMSGraphQL::Mutations::Canvas::MarkAllEntriesAsUnreadGroup
        field :mark_entry_as_read_courses, mutation: LMSGraphQL::Mutations::Canvas::MarkEntryAsReadCourse
        field :mark_entry_as_read_groups, mutation: LMSGraphQL::Mutations::Canvas::MarkEntryAsReadGroup
        field :mark_entry_as_unread_courses, mutation: LMSGraphQL::Mutations::Canvas::MarkEntryAsUnreadCourse
        field :mark_entry_as_unread_groups, mutation: LMSGraphQL::Mutations::Canvas::MarkEntryAsUnreadGroup
        field :rate_entry_courses, mutation: LMSGraphQL::Mutations::Canvas::RateEntryCourse
        field :rate_entry_groups, mutation: LMSGraphQL::Mutations::Canvas::RateEntryGroup
        field :subscribe_to_topic_courses, mutation: LMSGraphQL::Mutations::Canvas::SubscribeToTopicCourse
        field :subscribe_to_topic_groups, mutation: LMSGraphQL::Mutations::Canvas::SubscribeToTopicGroup
        field :unsubscribe_from_topic_courses, mutation: LMSGraphQL::Mutations::Canvas::UnsubscribeFromTopicCourse
        field :unsubscribe_from_topic_groups, mutation: LMSGraphQL::Mutations::Canvas::UnsubscribeFromTopicGroup
        field :create_enrollment_term, mutation: LMSGraphQL::Mutations::Canvas::CreateEnrollmentTerm
        field :update_enrollment_term, mutation: LMSGraphQL::Mutations::Canvas::UpdateEnrollmentTerm
        field :delete_enrollment_term, mutation: LMSGraphQL::Mutations::Canvas::DeleteEnrollmentTerm
        field :enroll_user_courses, mutation: LMSGraphQL::Mutations::Canvas::EnrollUserCourse
        field :enroll_user_sections, mutation: LMSGraphQL::Mutations::Canvas::EnrollUserSection
        field :conclude_deactivate_or_delete_enrollment, mutation: LMSGraphQL::Mutations::Canvas::ConcludeDeactivateOrDeleteEnrollment
        field :accept_course_invitation, mutation: LMSGraphQL::Mutations::Canvas::AcceptCourseInvitation
        field :reject_course_invitation, mutation: LMSGraphQL::Mutations::Canvas::RejectCourseInvitation
        field :re_activate_enrollment, mutation: LMSGraphQL::Mutations::Canvas::ReActivateEnrollment
        field :adds_last_attended_date_to_student_enrollment_in_course, mutation: LMSGraphQL::Mutations::Canvas::AddsLastAttendedDateToStudentEnrollmentInCourse
        field :create_error_report, mutation: LMSGraphQL::Mutations::Canvas::CreateErrorReport
        field :create_external_tool_courses, mutation: LMSGraphQL::Mutations::Canvas::CreateExternalToolCourse
        field :create_external_tool_accounts, mutation: LMSGraphQL::Mutations::Canvas::CreateExternalToolAccount
        field :edit_external_tool_courses, mutation: LMSGraphQL::Mutations::Canvas::EditExternalToolCourse
        field :edit_external_tool_accounts, mutation: LMSGraphQL::Mutations::Canvas::EditExternalToolAccount
        field :delete_external_tool_courses, mutation: LMSGraphQL::Mutations::Canvas::DeleteExternalToolCourse
        field :delete_external_tool_accounts, mutation: LMSGraphQL::Mutations::Canvas::DeleteExternalToolAccount
        field :add_tool_to_rce_favorites, mutation: LMSGraphQL::Mutations::Canvas::AddToolToRceFavorite
        field :remove_tool_from_rce_favorites, mutation: LMSGraphQL::Mutations::Canvas::RemoveToolFromRceFavorite
        field :add_course_to_favorites, mutation: LMSGraphQL::Mutations::Canvas::AddCourseToFavorite
        field :add_group_to_favorites, mutation: LMSGraphQL::Mutations::Canvas::AddGroupToFavorite
        field :remove_course_from_favorites, mutation: LMSGraphQL::Mutations::Canvas::RemoveCourseFromFavorite
        field :remove_group_from_favorites, mutation: LMSGraphQL::Mutations::Canvas::RemoveGroupFromFavorite
        field :reset_course_favorites, mutation: LMSGraphQL::Mutations::Canvas::ResetCourseFavorite
        field :reset_group_favorites, mutation: LMSGraphQL::Mutations::Canvas::ResetGroupFavorite
        field :set_feature_flag_courses, mutation: LMSGraphQL::Mutations::Canvas::SetFeatureFlagCourse
        field :set_feature_flag_accounts, mutation: LMSGraphQL::Mutations::Canvas::SetFeatureFlagAccount
        field :set_feature_flag_users, mutation: LMSGraphQL::Mutations::Canvas::SetFeatureFlagUser
        field :remove_feature_flag_courses, mutation: LMSGraphQL::Mutations::Canvas::RemoveFeatureFlagCourse
        field :remove_feature_flag_accounts, mutation: LMSGraphQL::Mutations::Canvas::RemoveFeatureFlagAccount
        field :remove_feature_flag_users, mutation: LMSGraphQL::Mutations::Canvas::RemoveFeatureFlagUser
        field :update_file, mutation: LMSGraphQL::Mutations::Canvas::UpdateFile
        field :delete_file, mutation: LMSGraphQL::Mutations::Canvas::DeleteFile
        field :reset_link_verifier, mutation: LMSGraphQL::Mutations::Canvas::ResetLinkVerifier
        field :update_folder, mutation: LMSGraphQL::Mutations::Canvas::UpdateFolder
        field :create_folder_courses, mutation: LMSGraphQL::Mutations::Canvas::CreateFolderCourse
        field :create_folder_users, mutation: LMSGraphQL::Mutations::Canvas::CreateFolderUser
        field :create_folder_groups, mutation: LMSGraphQL::Mutations::Canvas::CreateFolderGroup
        field :create_folder_folders, mutation: LMSGraphQL::Mutations::Canvas::CreateFolderFolder
        field :delete_folder, mutation: LMSGraphQL::Mutations::Canvas::DeleteFolder
        field :files_upload_file, mutation: LMSGraphQL::Mutations::Canvas::FilesUploadFile
        field :copy_file, mutation: LMSGraphQL::Mutations::Canvas::CopyFile
        field :copy_folder, mutation: LMSGraphQL::Mutations::Canvas::CopyFolder
        field :set_usage_rights_courses, mutation: LMSGraphQL::Mutations::Canvas::SetUsageRightsCourse
        field :set_usage_rights_groups, mutation: LMSGraphQL::Mutations::Canvas::SetUsageRightsGroup
        field :set_usage_rights_users, mutation: LMSGraphQL::Mutations::Canvas::SetUsageRightsUser
        field :remove_usage_rights_courses, mutation: LMSGraphQL::Mutations::Canvas::RemoveUsageRightsCourse
        field :remove_usage_rights_groups, mutation: LMSGraphQL::Mutations::Canvas::RemoveUsageRightsGroup
        field :remove_usage_rights_users, mutation: LMSGraphQL::Mutations::Canvas::RemoveUsageRightsUser
        field :update_single_grading_period, mutation: LMSGraphQL::Mutations::Canvas::UpdateSingleGradingPeriod
        field :delete_grading_period_courses, mutation: LMSGraphQL::Mutations::Canvas::DeleteGradingPeriodCourse
        field :delete_grading_period_accounts, mutation: LMSGraphQL::Mutations::Canvas::DeleteGradingPeriodAccount
        field :create_new_grading_standard_accounts, mutation: LMSGraphQL::Mutations::Canvas::CreateNewGradingStandardAccount
        field :create_new_grading_standard_courses, mutation: LMSGraphQL::Mutations::Canvas::CreateNewGradingStandardCourse
        field :create_group_category_accounts, mutation: LMSGraphQL::Mutations::Canvas::CreateGroupCategoryAccount
        field :create_group_category_courses, mutation: LMSGraphQL::Mutations::Canvas::CreateGroupCategoryCourse
        field :import_category_groups, mutation: LMSGraphQL::Mutations::Canvas::ImportCategoryGroup
        field :update_group_category, mutation: LMSGraphQL::Mutations::Canvas::UpdateGroupCategory
        field :delete_group_category, mutation: LMSGraphQL::Mutations::Canvas::DeleteGroupCategory
        field :assign_unassigned_members, mutation: LMSGraphQL::Mutations::Canvas::AssignUnassignedMember
        field :create_group_groups, mutation: LMSGraphQL::Mutations::Canvas::CreateGroupGroup
        field :create_group_group_categories, mutation: LMSGraphQL::Mutations::Canvas::CreateGroupGroupCategory
        field :edit_group, mutation: LMSGraphQL::Mutations::Canvas::EditGroup
        field :delete_group, mutation: LMSGraphQL::Mutations::Canvas::DeleteGroup
        field :invite_others_to_group, mutation: LMSGraphQL::Mutations::Canvas::InviteOthersToGroup
        field :groups_upload_file, mutation: LMSGraphQL::Mutations::Canvas::GroupsUploadFile
        field :groups_preview_processed_html, mutation: LMSGraphQL::Mutations::Canvas::GroupsPreviewProcessedHtml
        field :create_membership, mutation: LMSGraphQL::Mutations::Canvas::CreateMembership
        field :update_membership_memberships, mutation: LMSGraphQL::Mutations::Canvas::UpdateMembershipMembership
        field :update_membership_users, mutation: LMSGraphQL::Mutations::Canvas::UpdateMembershipUser
        field :leave_group_memberships, mutation: LMSGraphQL::Mutations::Canvas::LeaveGroupMembership
        field :leave_group_users, mutation: LMSGraphQL::Mutations::Canvas::LeaveGroupUser
        field :confirm_image_selection, mutation: LMSGraphQL::Mutations::Canvas::ConfirmImageSelection
        field :create_instid, mutation: LMSGraphQL::Mutations::Canvas::CreateInstid
        field :create_jwt, mutation: LMSGraphQL::Mutations::Canvas::CreateJwt
        field :refresh_jwt, mutation: LMSGraphQL::Mutations::Canvas::RefreshJwt
        field :create_late_policy, mutation: LMSGraphQL::Mutations::Canvas::CreateLatePolicy
        field :patch_late_policy, mutation: LMSGraphQL::Mutations::Canvas::PatchLatePolicy
        field :create_line_item, mutation: LMSGraphQL::Mutations::Canvas::CreateLineItem
        field :update_line_item, mutation: LMSGraphQL::Mutations::Canvas::UpdateLineItem
        field :delete_line_item, mutation: LMSGraphQL::Mutations::Canvas::DeleteLineItem
        field :create_live_assessment_results, mutation: LMSGraphQL::Mutations::Canvas::CreateLiveAssessmentResult
        field :create_or_find_live_assessment, mutation: LMSGraphQL::Mutations::Canvas::CreateOrFindLiveAssessment
        field :create_user_login, mutation: LMSGraphQL::Mutations::Canvas::CreateUserLogin
        field :edit_user_login, mutation: LMSGraphQL::Mutations::Canvas::EditUserLogin
        field :delete_user_login, mutation: LMSGraphQL::Mutations::Canvas::DeleteUserLogin
        field :update_media_tracks, mutation: LMSGraphQL::Mutations::Canvas::UpdateMediaTrack
        field :update_media_object, mutation: LMSGraphQL::Mutations::Canvas::UpdateMediaObject
        field :select_students_for_moderation, mutation: LMSGraphQL::Mutations::Canvas::SelectStudentsForModeration
        field :bulk_select_provisional_grades, mutation: LMSGraphQL::Mutations::Canvas::BulkSelectProvisionalGrade
        field :select_provisional_grade, mutation: LMSGraphQL::Mutations::Canvas::SelectProvisionalGrade
        field :publish_provisional_grades_for_assignment, mutation: LMSGraphQL::Mutations::Canvas::PublishProvisionalGradesForAssignment
        field :create_module, mutation: LMSGraphQL::Mutations::Canvas::CreateModule
        field :update_module, mutation: LMSGraphQL::Mutations::Canvas::UpdateModule
        field :delete_module, mutation: LMSGraphQL::Mutations::Canvas::DeleteModule
        field :re_lock_module_progressions, mutation: LMSGraphQL::Mutations::Canvas::ReLockModuleProgression
        field :create_module_item, mutation: LMSGraphQL::Mutations::Canvas::CreateModuleItem
        field :update_module_item, mutation: LMSGraphQL::Mutations::Canvas::UpdateModuleItem
        field :select_mastery_path, mutation: LMSGraphQL::Mutations::Canvas::SelectMasteryPath
        field :delete_module_item, mutation: LMSGraphQL::Mutations::Canvas::DeleteModuleItem
        field :mark_module_item_as_done_not_done, mutation: LMSGraphQL::Mutations::Canvas::MarkModuleItemAsDoneNotDone
        field :mark_module_item_read, mutation: LMSGraphQL::Mutations::Canvas::MarkModuleItemRead
        field :update_preference_communication_channel_id, mutation: LMSGraphQL::Mutations::Canvas::UpdatePreferenceCommunicationChannelId
        field :update_preference_type, mutation: LMSGraphQL::Mutations::Canvas::UpdatePreferenceType
        field :update_preferences_by_category, mutation: LMSGraphQL::Mutations::Canvas::UpdatePreferencesByCategory
        field :update_multiple_preferences_communication_channel_id, mutation: LMSGraphQL::Mutations::Canvas::UpdateMultiplePreferencesCommunicationChannelId
        field :update_multiple_preferences_type, mutation: LMSGraphQL::Mutations::Canvas::UpdateMultiplePreferencesType
        field :create_originality_report, mutation: LMSGraphQL::Mutations::Canvas::CreateOriginalityReport
        field :edit_originality_report_submissions, mutation: LMSGraphQL::Mutations::Canvas::EditOriginalityReportSubmission
        field :edit_originality_report_files, mutation: LMSGraphQL::Mutations::Canvas::EditOriginalityReportFile
        field :update_outcome_group_global, mutation: LMSGraphQL::Mutations::Canvas::UpdateOutcomeGroupGlobal
        field :update_outcome_group_accounts, mutation: LMSGraphQL::Mutations::Canvas::UpdateOutcomeGroupAccount
        field :update_outcome_group_courses, mutation: LMSGraphQL::Mutations::Canvas::UpdateOutcomeGroupCourse
        field :delete_outcome_group_global, mutation: LMSGraphQL::Mutations::Canvas::DeleteOutcomeGroupGlobal
        field :delete_outcome_group_accounts, mutation: LMSGraphQL::Mutations::Canvas::DeleteOutcomeGroupAccount
        field :delete_outcome_group_courses, mutation: LMSGraphQL::Mutations::Canvas::DeleteOutcomeGroupCourse
        field :create_link_outcome_global, mutation: LMSGraphQL::Mutations::Canvas::CreateLinkOutcomeGlobal
        field :create_link_outcome_global_outcome_id, mutation: LMSGraphQL::Mutations::Canvas::CreateLinkOutcomeGlobalOutcomeId
        field :create_link_outcome_accounts, mutation: LMSGraphQL::Mutations::Canvas::CreateLinkOutcomeAccount
        field :create_link_outcome_accounts_outcome_id, mutation: LMSGraphQL::Mutations::Canvas::CreateLinkOutcomeAccountsOutcomeId
        field :create_link_outcome_courses, mutation: LMSGraphQL::Mutations::Canvas::CreateLinkOutcomeCourse
        field :create_link_outcome_courses_outcome_id, mutation: LMSGraphQL::Mutations::Canvas::CreateLinkOutcomeCoursesOutcomeId
        field :unlink_outcome_global, mutation: LMSGraphQL::Mutations::Canvas::UnlinkOutcomeGlobal
        field :unlink_outcome_accounts, mutation: LMSGraphQL::Mutations::Canvas::UnlinkOutcomeAccount
        field :unlink_outcome_courses, mutation: LMSGraphQL::Mutations::Canvas::UnlinkOutcomeCourse
        field :create_subgroup_global, mutation: LMSGraphQL::Mutations::Canvas::CreateSubgroupGlobal
        field :create_subgroup_accounts, mutation: LMSGraphQL::Mutations::Canvas::CreateSubgroupAccount
        field :create_subgroup_courses, mutation: LMSGraphQL::Mutations::Canvas::CreateSubgroupCourse
        field :import_outcome_group_global, mutation: LMSGraphQL::Mutations::Canvas::ImportOutcomeGroupGlobal
        field :import_outcome_group_accounts, mutation: LMSGraphQL::Mutations::Canvas::ImportOutcomeGroupAccount
        field :import_outcome_group_courses, mutation: LMSGraphQL::Mutations::Canvas::ImportOutcomeGroupCourse
        field :import_outcomes_accounts, mutation: LMSGraphQL::Mutations::Canvas::ImportOutcomesAccount
        field :import_outcomes_courses, mutation: LMSGraphQL::Mutations::Canvas::ImportOutcomesCourse
        field :update_outcome, mutation: LMSGraphQL::Mutations::Canvas::UpdateOutcome
        field :duplicate_page, mutation: LMSGraphQL::Mutations::Canvas::DuplicatePage
        field :update_create_front_page_courses, mutation: LMSGraphQL::Mutations::Canvas::UpdateCreateFrontPageCourse
        field :update_create_front_page_groups, mutation: LMSGraphQL::Mutations::Canvas::UpdateCreateFrontPageGroup
        field :create_page_courses, mutation: LMSGraphQL::Mutations::Canvas::CreatePageCourse
        field :create_page_groups, mutation: LMSGraphQL::Mutations::Canvas::CreatePageGroup
        field :update_create_page_courses, mutation: LMSGraphQL::Mutations::Canvas::UpdateCreatePageCourse
        field :update_create_page_groups, mutation: LMSGraphQL::Mutations::Canvas::UpdateCreatePageGroup
        field :delete_page_courses, mutation: LMSGraphQL::Mutations::Canvas::DeletePageCourse
        field :delete_page_groups, mutation: LMSGraphQL::Mutations::Canvas::DeletePageGroup
        field :revert_to_revision_courses, mutation: LMSGraphQL::Mutations::Canvas::RevertToRevisionCourse
        field :revert_to_revision_groups, mutation: LMSGraphQL::Mutations::Canvas::RevertToRevisionGroup
        field :peer_reviews_create_peer_review_courses, mutation: LMSGraphQL::Mutations::Canvas::PeerReviewsCreatePeerReviewCourse
        field :peer_reviews_create_peer_review_sections, mutation: LMSGraphQL::Mutations::Canvas::PeerReviewsCreatePeerReviewSection
        field :delete_peer_review_courses, mutation: LMSGraphQL::Mutations::Canvas::DeletePeerReviewCourse
        field :delete_peer_review_sections, mutation: LMSGraphQL::Mutations::Canvas::DeletePeerReviewSection
        field :update_planner_note, mutation: LMSGraphQL::Mutations::Canvas::UpdatePlannerNote
        field :create_planner_note, mutation: LMSGraphQL::Mutations::Canvas::CreatePlannerNote
        field :delete_planner_note, mutation: LMSGraphQL::Mutations::Canvas::DeletePlannerNote
        field :update_planner_override, mutation: LMSGraphQL::Mutations::Canvas::UpdatePlannerOverride
        field :create_planner_override, mutation: LMSGraphQL::Mutations::Canvas::CreatePlannerOverride
        field :delete_planner_override, mutation: LMSGraphQL::Mutations::Canvas::DeletePlannerOverride
        field :create_single_poll_session, mutation: LMSGraphQL::Mutations::Canvas::CreateSinglePollSession
        field :update_single_poll_session, mutation: LMSGraphQL::Mutations::Canvas::UpdateSinglePollSession
        field :delete_poll_session, mutation: LMSGraphQL::Mutations::Canvas::DeletePollSession
        field :create_single_poll_choice, mutation: LMSGraphQL::Mutations::Canvas::CreateSinglePollChoice
        field :update_single_poll_choice, mutation: LMSGraphQL::Mutations::Canvas::UpdateSinglePollChoice
        field :delete_poll_choice, mutation: LMSGraphQL::Mutations::Canvas::DeletePollChoice
        field :create_single_poll_submission, mutation: LMSGraphQL::Mutations::Canvas::CreateSinglePollSubmission
        field :create_single_poll, mutation: LMSGraphQL::Mutations::Canvas::CreateSinglePoll
        field :update_single_poll, mutation: LMSGraphQL::Mutations::Canvas::UpdateSinglePoll
        field :delete_poll, mutation: LMSGraphQL::Mutations::Canvas::DeletePoll
        field :create_update_proficiency_ratings_accounts, mutation: LMSGraphQL::Mutations::Canvas::CreateUpdateProficiencyRatingsAccount
        field :create_update_proficiency_ratings_courses, mutation: LMSGraphQL::Mutations::Canvas::CreateUpdateProficiencyRatingsCourse
        field :update_public_jwk, mutation: LMSGraphQL::Mutations::Canvas::UpdatePublicJwk
        field :quiz_extensions_set_extensions_for_student_quiz_submissions, mutation: LMSGraphQL::Mutations::Canvas::QuizExtensionsSetExtensionsForStudentQuizSubmission
        field :create_question_group, mutation: LMSGraphQL::Mutations::Canvas::CreateQuestionGroup
        field :update_question_group, mutation: LMSGraphQL::Mutations::Canvas::UpdateQuestionGroup
        field :delete_question_group, mutation: LMSGraphQL::Mutations::Canvas::DeleteQuestionGroup
        field :reorder_question_groups, mutation: LMSGraphQL::Mutations::Canvas::ReorderQuestionGroup
        field :create_single_quiz_question, mutation: LMSGraphQL::Mutations::Canvas::CreateSingleQuizQuestion
        field :update_existing_quiz_question, mutation: LMSGraphQL::Mutations::Canvas::UpdateExistingQuizQuestion
        field :delete_quiz_question, mutation: LMSGraphQL::Mutations::Canvas::DeleteQuizQuestion
        field :create_quiz_report, mutation: LMSGraphQL::Mutations::Canvas::CreateQuizReport
        field :abort_generation_of_report_or_remove_previously_generated_one, mutation: LMSGraphQL::Mutations::Canvas::AbortGenerationOfReportOrRemovePreviouslyGeneratedOne
        field :submit_captured_events, mutation: LMSGraphQL::Mutations::Canvas::SubmitCapturedEvent
        field :quiz_submission_files_upload_file, mutation: LMSGraphQL::Mutations::Canvas::QuizSubmissionFilesUploadFile
        field :answering_questions, mutation: LMSGraphQL::Mutations::Canvas::AnsweringQuestion
        field :flagging_question, mutation: LMSGraphQL::Mutations::Canvas::FlaggingQuestion
        field :unflagging_question, mutation: LMSGraphQL::Mutations::Canvas::UnflaggingQuestion
        field :send_message_to_unsubmitted_or_submitted_users_for_quiz, mutation: LMSGraphQL::Mutations::Canvas::SendMessageToUnsubmittedOrSubmittedUsersForQuiz
        field :create_quiz_submission_start_quiz_taking_session, mutation: LMSGraphQL::Mutations::Canvas::CreateQuizSubmissionStartQuizTakingSession
        field :update_student_question_scores_and_comments, mutation: LMSGraphQL::Mutations::Canvas::UpdateStudentQuestionScoresAndComment
        field :complete_quiz_submission_turn_it_in, mutation: LMSGraphQL::Mutations::Canvas::CompleteQuizSubmissionTurnItIn
        field :create_quiz, mutation: LMSGraphQL::Mutations::Canvas::CreateQuiz
        field :edit_quiz, mutation: LMSGraphQL::Mutations::Canvas::EditQuiz
        field :delete_quiz, mutation: LMSGraphQL::Mutations::Canvas::DeleteQuiz
        field :reorder_quiz_items, mutation: LMSGraphQL::Mutations::Canvas::ReorderQuizItem
        field :validate_quiz_access_code, mutation: LMSGraphQL::Mutations::Canvas::ValidateQuizAccessCode
        field :create_new_role, mutation: LMSGraphQL::Mutations::Canvas::CreateNewRole
        field :deactivate_role, mutation: LMSGraphQL::Mutations::Canvas::DeactivateRole
        field :activate_role, mutation: LMSGraphQL::Mutations::Canvas::ActivateRole
        field :update_role, mutation: LMSGraphQL::Mutations::Canvas::UpdateRole
        field :create_single_rubric, mutation: LMSGraphQL::Mutations::Canvas::CreateSingleRubric
        field :update_single_rubric, mutation: LMSGraphQL::Mutations::Canvas::UpdateSingleRubric
        field :delete_single_rubric, mutation: LMSGraphQL::Mutations::Canvas::DeleteSingleRubric
        field :create_single_rubric_assessment, mutation: LMSGraphQL::Mutations::Canvas::CreateSingleRubricAssessment
        field :update_single_rubric_assessment, mutation: LMSGraphQL::Mutations::Canvas::UpdateSingleRubricAssessment
        field :delete_single_rubric_assessment, mutation: LMSGraphQL::Mutations::Canvas::DeleteSingleRubricAssessment
        field :create_rubricassociation, mutation: LMSGraphQL::Mutations::Canvas::CreateRubricassociation
        field :update_rubricassociation, mutation: LMSGraphQL::Mutations::Canvas::UpdateRubricassociation
        field :delete_rubricassociation, mutation: LMSGraphQL::Mutations::Canvas::DeleteRubricassociation
        field :import_sis_data, mutation: LMSGraphQL::Mutations::Canvas::ImportSisDatum
        field :restore_workflow_states_of_sis_imported_items, mutation: LMSGraphQL::Mutations::Canvas::RestoreWorkflowStatesOfSisImportedItem
        field :abort_sis_import, mutation: LMSGraphQL::Mutations::Canvas::AbortSisImport
        field :abort_all_pending_sis_imports, mutation: LMSGraphQL::Mutations::Canvas::AbortAllPendingSisImport
        field :disable_assignments_currently_enabled_for_grade_export_to_sis, mutation: LMSGraphQL::Mutations::Canvas::DisableAssignmentsCurrentlyEnabledForGradeExportToSi
        field :create_score, mutation: LMSGraphQL::Mutations::Canvas::CreateScore
        field :create_course_section, mutation: LMSGraphQL::Mutations::Canvas::CreateCourseSection
        field :cross_list_section, mutation: LMSGraphQL::Mutations::Canvas::CrossListSection
        field :de_cross_list_section, mutation: LMSGraphQL::Mutations::Canvas::DeCrossListSection
        field :edit_section, mutation: LMSGraphQL::Mutations::Canvas::EditSection
        field :delete_section, mutation: LMSGraphQL::Mutations::Canvas::DeleteSection
        field :start_kaltura_session, mutation: LMSGraphQL::Mutations::Canvas::StartKalturaSession
        field :share_brandconfig_theme, mutation: LMSGraphQL::Mutations::Canvas::ShareBrandconfigTheme
        field :update_shared_theme, mutation: LMSGraphQL::Mutations::Canvas::UpdateSharedTheme
        field :un_share_brandconfig_theme, mutation: LMSGraphQL::Mutations::Canvas::UnShareBrandconfigTheme
        field :edit_submission_comment, mutation: LMSGraphQL::Mutations::Canvas::EditSubmissionComment
        field :delete_submission_comment, mutation: LMSGraphQL::Mutations::Canvas::DeleteSubmissionComment
        field :submission_comments_upload_file, mutation: LMSGraphQL::Mutations::Canvas::SubmissionCommentsUploadFile
        field :submit_assignment_courses, mutation: LMSGraphQL::Mutations::Canvas::SubmitAssignmentCourse
        field :submit_assignment_sections, mutation: LMSGraphQL::Mutations::Canvas::SubmitAssignmentSection
        field :upload_file_courses, mutation: LMSGraphQL::Mutations::Canvas::UploadFileCourse
        field :upload_file_sections, mutation: LMSGraphQL::Mutations::Canvas::UploadFileSection
        field :grade_or_comment_on_submission_courses, mutation: LMSGraphQL::Mutations::Canvas::GradeOrCommentOnSubmissionCourse
        field :grade_or_comment_on_submission_sections, mutation: LMSGraphQL::Mutations::Canvas::GradeOrCommentOnSubmissionSection
        field :grade_or_comment_on_multiple_submissions_courses_submissions, mutation: LMSGraphQL::Mutations::Canvas::GradeOrCommentOnMultipleSubmissionsCoursesSubmission
        field :grade_or_comment_on_multiple_submissions_courses_assignments, mutation: LMSGraphQL::Mutations::Canvas::GradeOrCommentOnMultipleSubmissionsCoursesAssignment
        field :grade_or_comment_on_multiple_submissions_sections_submissions, mutation: LMSGraphQL::Mutations::Canvas::GradeOrCommentOnMultipleSubmissionsSectionsSubmission
        field :grade_or_comment_on_multiple_submissions_sections_assignments, mutation: LMSGraphQL::Mutations::Canvas::GradeOrCommentOnMultipleSubmissionsSectionsAssignment
        field :mark_submission_as_read_courses, mutation: LMSGraphQL::Mutations::Canvas::MarkSubmissionAsReadCourse
        field :mark_submission_as_read_sections, mutation: LMSGraphQL::Mutations::Canvas::MarkSubmissionAsReadSection
        field :mark_submission_as_unread_courses, mutation: LMSGraphQL::Mutations::Canvas::MarkSubmissionAsUnreadCourse
        field :mark_submission_as_unread_sections, mutation: LMSGraphQL::Mutations::Canvas::MarkSubmissionAsUnreadSection
        field :update_tab_for_course, mutation: LMSGraphQL::Mutations::Canvas::UpdateTabForCourse
        field :add_observee_with_credentials, mutation: LMSGraphQL::Mutations::Canvas::AddObserveeWithCredential
        field :add_observee, mutation: LMSGraphQL::Mutations::Canvas::AddObservee
        field :remove_observee, mutation: LMSGraphQL::Mutations::Canvas::RemoveObservee
        field :create_observer_pairing_code, mutation: LMSGraphQL::Mutations::Canvas::CreateObserverPairingCode
        field :hide_stream_item, mutation: LMSGraphQL::Mutations::Canvas::HideStreamItem
        field :hide_all_stream_items, mutation: LMSGraphQL::Mutations::Canvas::HideAllStreamItem
        field :users_upload_file, mutation: LMSGraphQL::Mutations::Canvas::UsersUploadFile
        field :create_user, mutation: LMSGraphQL::Mutations::Canvas::CreateUser
        field :deprecated_self_register_user, mutation: LMSGraphQL::Mutations::Canvas::DeprecatedSelfRegisterUser
        field :update_custom_color, mutation: LMSGraphQL::Mutations::Canvas::UpdateCustomColor
        field :update_dashboard_positions, mutation: LMSGraphQL::Mutations::Canvas::UpdateDashboardPosition
        field :edit_user, mutation: LMSGraphQL::Mutations::Canvas::EditUser
        field :merge_user_into_another_user_destination_user_id, mutation: LMSGraphQL::Mutations::Canvas::MergeUserIntoAnotherUserDestinationUserId
        field :merge_user_into_another_user_accounts, mutation: LMSGraphQL::Mutations::Canvas::MergeUserIntoAnotherUserAccount
        field :split_merged_users_into_separate_users, mutation: LMSGraphQL::Mutations::Canvas::SplitMergedUsersIntoSeparateUser
        field :get_pandata_events_jwt_token_and_its_expiration_date, mutation: LMSGraphQL::Mutations::Canvas::GetPandataEventsJwtTokenAndItsExpirationDate
        field :store_custom_data, mutation: LMSGraphQL::Mutations::Canvas::StoreCustomDatum
        field :delete_custom_data, mutation: LMSGraphQL::Mutations::Canvas::DeleteCustomDatum
        field :set_course_nickname, mutation: LMSGraphQL::Mutations::Canvas::SetCourseNickname
        field :remove_course_nickname, mutation: LMSGraphQL::Mutations::Canvas::RemoveCourseNickname
        field :clear_course_nicknames, mutation: LMSGraphQL::Mutations::Canvas::ClearCourseNickname
        field :create_webhook_subscription, mutation: LMSGraphQL::Mutations::Canvas::CreateWebhookSubscription
        field :delete_webhook_subscription, mutation: LMSGraphQL::Mutations::Canvas::DeleteWebhookSubscription
        field :update_webhook_subscription, mutation: LMSGraphQL::Mutations::Canvas::UpdateWebhookSubscription
        field :create_epub_export, mutation: LMSGraphQL::Mutations::Canvas::CreateEpubExport
      end
    end
  end
end