require_relative "canvas_base_type"
require_relative "canvas_base_input_type"

# The various types and input types generated for Canvas end up with circular dependencies
# We use a forward declaration here to overcome the problem.
# For example, the generate User class depends on Enrollment and Enrollment depends on User
# so we have a circular dependency.
module LMSGraphQL
  module Types
    module Canvas
      class CanvasScopeInput < BaseInputObject;end
      class CanvasScope < BaseType;end
      class CanvasAccountNotificationInput < BaseInputObject;end
      class CanvasAccountNotification < BaseType;end
      class CanvasReportInput < BaseInputObject;end
      class CanvasReport < BaseType;end
      class CanvasReportParameterInput < BaseInputObject;end
      class CanvasReportParameter < BaseType;end
      class CanvasAccountInput < BaseInputObject;end
      class CanvasAccount < BaseType;end
      class CanvasTermsOfServiceInput < BaseInputObject;end
      class CanvasTermsOfService < BaseType;end
      class CanvasHelpLinkInput < BaseInputObject;end
      class CanvasHelpLink < BaseType;end
      class CanvasHelpLinkInput < BaseInputObject;end
      class CanvasHelpLink < BaseType;end
      class CanvasAccountInput < BaseInputObject;end
      class CanvasAccount < BaseType;end
      class CanvasAdminInput < BaseInputObject;end
      class CanvasAdmin < BaseType;end
      class CanvasExternalFeedInput < BaseInputObject;end
      class CanvasExternalFeed < BaseType;end
      class CanvasAppointmentInput < BaseInputObject;end
      class CanvasAppointment < BaseType;end
      class CanvasAppointmentGroupInput < BaseInputObject;end
      class CanvasAppointmentGroup < BaseType;end
      class CanvasAssignmentExtensionInput < BaseInputObject;end
      class CanvasAssignmentExtension < BaseType;end
      class CanvasGradingRuleInput < BaseInputObject;end
      class CanvasGradingRule < BaseType;end
      class CanvasAssignmentGroupInput < BaseInputObject;end
      class CanvasAssignmentGroup < BaseType;end
      class CanvasExternalToolTagAttributeInput < BaseInputObject;end
      class CanvasExternalToolTagAttribute < BaseType;end
      class CanvasLockInfoInput < BaseInputObject;end
      class CanvasLockInfo < BaseType;end
      class CanvasRubricRatingInput < BaseInputObject;end
      class CanvasRubricRating < BaseType;end
      class CanvasRubricCriteriumInput < BaseInputObject;end
      class CanvasRubricCriterium < BaseType;end
      class CanvasAssignmentDateInput < BaseInputObject;end
      class CanvasAssignmentDate < BaseType;end
      class CanvasTurnitinSettingInput < BaseInputObject;end
      class CanvasTurnitinSetting < BaseType;end
      class CanvasNeedsGradingCountInput < BaseInputObject;end
      class CanvasNeedsGradingCount < BaseType;end
      class CanvasScoreStatisticInput < BaseInputObject;end
      class CanvasScoreStatistic < BaseType;end
      class CanvasAssignmentInput < BaseInputObject;end
      class CanvasAssignment < BaseType;end
      class CanvasAssignmentOverrideInput < BaseInputObject;end
      class CanvasAssignmentOverride < BaseType;end
      class CanvasAuthenticationProviderInput < BaseInputObject;end
      class CanvasAuthenticationProvider < BaseType;end
      class CanvasSSOSettingInput < BaseInputObject;end
      class CanvasSSOSetting < BaseType;end
      class CanvasFederatedAttributesConfigInput < BaseInputObject;end
      class CanvasFederatedAttributesConfig < BaseType;end
      class CanvasFederatedAttributeConfigInput < BaseInputObject;end
      class CanvasFederatedAttributeConfig < BaseType;end
      class CanvasAuthenticationEventInput < BaseInputObject;end
      class CanvasAuthenticationEvent < BaseType;end
      class CanvasBlueprintTemplateInput < BaseInputObject;end
      class CanvasBlueprintTemplate < BaseType;end
      class CanvasBlueprintMigrationInput < BaseInputObject;end
      class CanvasBlueprintMigration < BaseType;end
      class CanvasBlueprintRestrictionInput < BaseInputObject;end
      class CanvasBlueprintRestriction < BaseType;end
      class CanvasChangeRecordInput < BaseInputObject;end
      class CanvasChangeRecord < BaseType;end
      class CanvasExceptionRecordInput < BaseInputObject;end
      class CanvasExceptionRecord < BaseType;end
      class CanvasBlueprintSubscriptionInput < BaseInputObject;end
      class CanvasBlueprintSubscription < BaseType;end
      class CanvasBookmarkInput < BaseInputObject;end
      class CanvasBookmark < BaseType;end
      class CanvasCalendarEventInput < BaseInputObject;end
      class CanvasCalendarEvent < BaseType;end
      class CanvasAssignmentEventInput < BaseInputObject;end
      class CanvasAssignmentEvent < BaseType;end
      class CanvasCollaborationInput < BaseInputObject;end
      class CanvasCollaboration < BaseType;end
      class CanvasCollaboratorInput < BaseInputObject;end
      class CanvasCollaborator < BaseType;end
      class CanvasCommMessageInput < BaseInputObject;end
      class CanvasCommMessage < BaseType;end
      class CanvasCommunicationChannelInput < BaseInputObject;end
      class CanvasCommunicationChannel < BaseType;end
      class CanvasConferenceRecordingInput < BaseInputObject;end
      class CanvasConferenceRecording < BaseType;end
      class CanvasConferenceInput < BaseInputObject;end
      class CanvasConference < BaseType;end
      class CanvasContentExportInput < BaseInputObject;end
      class CanvasContentExport < BaseType;end
      class CanvasMigrationIssueInput < BaseInputObject;end
      class CanvasMigrationIssue < BaseType;end
      class CanvasContentMigrationInput < BaseInputObject;end
      class CanvasContentMigration < BaseType;end
      class CanvasMigratorInput < BaseInputObject;end
      class CanvasMigrator < BaseType;end
      class CanvasContentShareInput < BaseInputObject;end
      class CanvasContentShare < BaseType;end
      class CanvasConversationInput < BaseInputObject;end
      class CanvasConversation < BaseType;end
      class CanvasConversationParticipantInput < BaseInputObject;end
      class CanvasConversationParticipant < BaseType;end
      class CanvasCourseEventLinkInput < BaseInputObject;end
      class CanvasCourseEventLink < BaseType;end
      class CanvasCourseEventInput < BaseInputObject;end
      class CanvasCourseEvent < BaseType;end
      class CanvasCreatedEventDatumInput < BaseInputObject;end
      class CanvasCreatedEventDatum < BaseType;end
      class CanvasUpdatedEventDatumInput < BaseInputObject;end
      class CanvasUpdatedEventDatum < BaseType;end
      class CanvasCourseQuizExtensionInput < BaseInputObject;end
      class CanvasCourseQuizExtension < BaseType;end
      class CanvasTermInput < BaseInputObject;end
      class CanvasTerm < BaseType;end
      class CanvasCourseProgressInput < BaseInputObject;end
      class CanvasCourseProgress < BaseType;end
      class CanvasCourseInput < BaseInputObject;end
      class CanvasCourse < BaseType;end
      class CanvasCalendarLinkInput < BaseInputObject;end
      class CanvasCalendarLink < BaseType;end
      class CanvasCustomColumnInput < BaseInputObject;end
      class CanvasCustomColumn < BaseType;end
      class CanvasColumnDatumInput < BaseInputObject;end
      class CanvasColumnDatum < BaseType;end
      class CanvasFileAttachmentInput < BaseInputObject;end
      class CanvasFileAttachment < BaseType;end
      class CanvasDiscussionTopicInput < BaseInputObject;end
      class CanvasDiscussionTopic < BaseType;end
      class CanvasEnrollmentTermInput < BaseInputObject;end
      class CanvasEnrollmentTerm < BaseType;end
      class CanvasEnrollmentTermsListInput < BaseInputObject;end
      class CanvasEnrollmentTermsList < BaseType;end
      class CanvasGradeInput < BaseInputObject;end
      class CanvasGrade < BaseType;end
      class CanvasEnrollmentInput < BaseInputObject;end
      class CanvasEnrollment < BaseType;end
      class CanvasErrorReportInput < BaseInputObject;end
      class CanvasErrorReport < BaseType;end
      class CanvasFavoriteInput < BaseInputObject;end
      class CanvasFavorite < BaseType;end
      class CanvasFeatureInput < BaseInputObject;end
      class CanvasFeature < BaseType;end
      class CanvasFeatureFlagInput < BaseInputObject;end
      class CanvasFeatureFlag < BaseType;end
      class CanvasFileInput < BaseInputObject;end
      class CanvasFile < BaseType;end
      class CanvasFolderInput < BaseInputObject;end
      class CanvasFolder < BaseType;end
      class CanvasUsageRightInput < BaseInputObject;end
      class CanvasUsageRight < BaseType;end
      class CanvasLicenseInput < BaseInputObject;end
      class CanvasLicense < BaseType;end
      class CanvasGradeChangeEventLinkInput < BaseInputObject;end
      class CanvasGradeChangeEventLink < BaseType;end
      class CanvasGradeChangeEventInput < BaseInputObject;end
      class CanvasGradeChangeEvent < BaseType;end
      class CanvasGraderInput < BaseInputObject;end
      class CanvasGrader < BaseType;end
      class CanvasDayInput < BaseInputObject;end
      class CanvasDay < BaseType;end
      class CanvasSubmissionVersionInput < BaseInputObject;end
      class CanvasSubmissionVersion < BaseType;end
      class CanvasSubmissionHistoryInput < BaseInputObject;end
      class CanvasSubmissionHistory < BaseType;end
      class CanvasGradingPeriodInput < BaseInputObject;end
      class CanvasGradingPeriod < BaseType;end
      class CanvasGradingSchemeEntryInput < BaseInputObject;end
      class CanvasGradingSchemeEntry < BaseType;end
      class CanvasGradingStandardInput < BaseInputObject;end
      class CanvasGradingStandard < BaseType;end
      class CanvasGroupCategoryInput < BaseInputObject;end
      class CanvasGroupCategory < BaseType;end
      class CanvasGroupInput < BaseInputObject;end
      class CanvasGroup < BaseType;end
      class CanvasGroupMembershipInput < BaseInputObject;end
      class CanvasGroupMembership < BaseType;end
      class CanvasHistoryEntryInput < BaseInputObject;end
      class CanvasHistoryEntry < BaseType;end
      class CanvasInstIDInput < BaseInputObject;end
      class CanvasInstID < BaseType;end
      class CanvasJWTInput < BaseInputObject;end
      class CanvasJWT < BaseType;end
      class CanvasLatePolicyInput < BaseInputObject;end
      class CanvasLatePolicy < BaseType;end
      class CanvasLineItemInput < BaseInputObject;end
      class CanvasLineItem < BaseType;end
      class CanvasResultInput < BaseInputObject;end
      class CanvasResult < BaseType;end
      class CanvasResultLinkInput < BaseInputObject;end
      class CanvasResultLink < BaseType;end
      class CanvasAssessmentInput < BaseInputObject;end
      class CanvasAssessment < BaseType;end
      class CanvasMediaTrackInput < BaseInputObject;end
      class CanvasMediaTrack < BaseType;end
      class CanvasMediaObjectInput < BaseInputObject;end
      class CanvasMediaObject < BaseType;end
      class CanvasProvisionalGradeInput < BaseInputObject;end
      class CanvasProvisionalGrade < BaseType;end
      class CanvasModuleInput < BaseInputObject;end
      class CanvasModule < BaseType;end
      class CanvasCompletionRequirementInput < BaseInputObject;end
      class CanvasCompletionRequirement < BaseType;end
      class CanvasContentDetailInput < BaseInputObject;end
      class CanvasContentDetail < BaseType;end
      class CanvasModuleItemInput < BaseInputObject;end
      class CanvasModuleItem < BaseType;end
      class CanvasModuleItemSequenceNodeInput < BaseInputObject;end
      class CanvasModuleItemSequenceNode < BaseType;end
      class CanvasModuleItemSequenceInput < BaseInputObject;end
      class CanvasModuleItemSequence < BaseType;end
      class CanvasNamesAndRoleContextInput < BaseInputObject;end
      class CanvasNamesAndRoleContext < BaseType;end
      class CanvasNamesAndRoleMessageInput < BaseInputObject;end
      class CanvasNamesAndRoleMessage < BaseType;end
      class CanvasNamesAndRoleMembershipInput < BaseInputObject;end
      class CanvasNamesAndRoleMembership < BaseType;end
      class CanvasNamesAndRoleMembershipInput < BaseInputObject;end
      class CanvasNamesAndRoleMembership < BaseType;end
      class CanvasNotificationPreferenceInput < BaseInputObject;end
      class CanvasNotificationPreference < BaseType;end
      class CanvasToolSettingInput < BaseInputObject;end
      class CanvasToolSetting < BaseType;end
      class CanvasOriginalityReportInput < BaseInputObject;end
      class CanvasOriginalityReport < BaseType;end
      class CanvasOutcomeGroupInput < BaseInputObject;end
      class CanvasOutcomeGroup < BaseType;end
      class CanvasOutcomeLinkInput < BaseInputObject;end
      class CanvasOutcomeLink < BaseType;end
      class CanvasOutcomeImportDatumInput < BaseInputObject;end
      class CanvasOutcomeImportDatum < BaseType;end
      class CanvasOutcomeImportInput < BaseInputObject;end
      class CanvasOutcomeImport < BaseType;end
      class CanvasOutcomeResultInput < BaseInputObject;end
      class CanvasOutcomeResult < BaseType;end
      class CanvasOutcomeRollupScoreLinkInput < BaseInputObject;end
      class CanvasOutcomeRollupScoreLink < BaseType;end
      class CanvasOutcomeRollupScoreInput < BaseInputObject;end
      class CanvasOutcomeRollupScore < BaseType;end
      class CanvasOutcomeRollupLinkInput < BaseInputObject;end
      class CanvasOutcomeRollupLink < BaseType;end
      class CanvasOutcomeRollupInput < BaseInputObject;end
      class CanvasOutcomeRollup < BaseType;end
      class CanvasOutcomeAlignmentInput < BaseInputObject;end
      class CanvasOutcomeAlignment < BaseType;end
      class CanvasOutcomePathInput < BaseInputObject;end
      class CanvasOutcomePath < BaseType;end
      class CanvasOutcomePathPartInput < BaseInputObject;end
      class CanvasOutcomePathPart < BaseType;end
      class CanvasOutcomeInput < BaseInputObject;end
      class CanvasOutcome < BaseType;end
      class CanvasOutcomeAlignmentInput < BaseInputObject;end
      class CanvasOutcomeAlignment < BaseType;end
      class CanvasPageInput < BaseInputObject;end
      class CanvasPage < BaseType;end
      class CanvasPageRevisionInput < BaseInputObject;end
      class CanvasPageRevision < BaseType;end
      class CanvasPeerReviewInput < BaseInputObject;end
      class CanvasPeerReview < BaseType;end
      class CanvasLtiAssignmentInput < BaseInputObject;end
      class CanvasLtiAssignment < BaseType;end
      class CanvasSubmissionInput < BaseInputObject;end
      class CanvasSubmission < BaseType;end
      class CanvasFileInput < BaseInputObject;end
      class CanvasFile < BaseType;end
      class CanvasPlannerNoteInput < BaseInputObject;end
      class CanvasPlannerNote < BaseType;end
      class CanvasPlannerOverrideInput < BaseInputObject;end
      class CanvasPlannerOverride < BaseType;end
      class CanvasPollSessionInput < BaseInputObject;end
      class CanvasPollSession < BaseType;end
      class CanvasPollChoiceInput < BaseInputObject;end
      class CanvasPollChoice < BaseType;end
      class CanvasPollSubmissionInput < BaseInputObject;end
      class CanvasPollSubmission < BaseType;end
      class CanvasPollInput < BaseInputObject;end
      class CanvasPoll < BaseType;end
      class CanvasProficiencyRatingInput < BaseInputObject;end
      class CanvasProficiencyRating < BaseType;end
      class CanvasProficiencyInput < BaseInputObject;end
      class CanvasProficiency < BaseType;end
      class CanvasProgressInput < BaseInputObject;end
      class CanvasProgress < BaseType;end
      class CanvasDeveloperKeyInput < BaseInputObject;end
      class CanvasDeveloperKey < BaseType;end
      class CanvasQuizAssignmentOverrideSetInput < BaseInputObject;end
      class CanvasQuizAssignmentOverrideSet < BaseType;end
      class CanvasQuizAssignmentOverrideSetContainerInput < BaseInputObject;end
      class CanvasQuizAssignmentOverrideSetContainer < BaseType;end
      class CanvasQuizAssignmentOverrideInput < BaseInputObject;end
      class CanvasQuizAssignmentOverride < BaseType;end
      class CanvasQuizExtensionInput < BaseInputObject;end
      class CanvasQuizExtension < BaseType;end
      class CanvasQuizIPFilterInput < BaseInputObject;end
      class CanvasQuizIPFilter < BaseType;end
      class CanvasQuizGroupInput < BaseInputObject;end
      class CanvasQuizGroup < BaseType;end
      class CanvasQuizQuestionInput < BaseInputObject;end
      class CanvasQuizQuestion < BaseType;end
      class CanvasAnswerInput < BaseInputObject;end
      class CanvasAnswer < BaseType;end
      class CanvasQuizReportInput < BaseInputObject;end
      class CanvasQuizReport < BaseType;end
      class CanvasQuizStatisticInput < BaseInputObject;end
      class CanvasQuizStatistic < BaseType;end
      class CanvasQuizStatisticsLinkInput < BaseInputObject;end
      class CanvasQuizStatisticsLink < BaseType;end
      class CanvasQuizStatisticsQuestionStatisticInput < BaseInputObject;end
      class CanvasQuizStatisticsQuestionStatistic < BaseType;end
      class CanvasQuizStatisticsAnswerStatisticInput < BaseInputObject;end
      class CanvasQuizStatisticsAnswerStatistic < BaseType;end
      class CanvasQuizStatisticsAnswerPointBiserialInput < BaseInputObject;end
      class CanvasQuizStatisticsAnswerPointBiserial < BaseType;end
      class CanvasQuizStatisticsSubmissionStatisticInput < BaseInputObject;end
      class CanvasQuizStatisticsSubmissionStatistic < BaseType;end
      class CanvasQuizSubmissionEventInput < BaseInputObject;end
      class CanvasQuizSubmissionEvent < BaseType;end
      class CanvasQuizSubmissionQuestionInput < BaseInputObject;end
      class CanvasQuizSubmissionQuestion < BaseType;end
      class CanvasQuizSubmissionUserListInput < BaseInputObject;end
      class CanvasQuizSubmissionUserList < BaseType;end
      class CanvasQuizSubmissionUserListMetumInput < BaseInputObject;end
      class CanvasQuizSubmissionUserListMetum < BaseType;end
      class CanvasJSONAPIPaginationInput < BaseInputObject;end
      class CanvasJSONAPIPagination < BaseType;end
      class CanvasQuizSubmissionInput < BaseInputObject;end
      class CanvasQuizSubmission < BaseType;end
      class CanvasQuizInput < BaseInputObject;end
      class CanvasQuiz < BaseType;end
      class CanvasQuizPermissionInput < BaseInputObject;end
      class CanvasQuizPermission < BaseType;end
      class CanvasResultInput < BaseInputObject;end
      class CanvasResult < BaseType;end
      class CanvasRolePermissionInput < BaseInputObject;end
      class CanvasRolePermission < BaseType;end
      class CanvasRoleInput < BaseInputObject;end
      class CanvasRole < BaseType;end
      class CanvasRubricInput < BaseInputObject;end
      class CanvasRubric < BaseType;end
      class CanvasRubricCriterionInput < BaseInputObject;end
      class CanvasRubricCriterion < BaseType;end
      class CanvasRubricRatingInput < BaseInputObject;end
      class CanvasRubricRating < BaseType;end
      class CanvasRubricAssessmentInput < BaseInputObject;end
      class CanvasRubricAssessment < BaseType;end
      class CanvasRubricAssociationInput < BaseInputObject;end
      class CanvasRubricAssociation < BaseType;end
      class CanvasSisImportErrorInput < BaseInputObject;end
      class CanvasSisImportError < BaseType;end
      class CanvasSisImportDatumInput < BaseInputObject;end
      class CanvasSisImportDatum < BaseType;end
      class CanvasSisImportStatisticInput < BaseInputObject;end
      class CanvasSisImportStatistic < BaseType;end
      class CanvasSisImportStatisticInput < BaseInputObject;end
      class CanvasSisImportStatistic < BaseType;end
      class CanvasSisImportCountInput < BaseInputObject;end
      class CanvasSisImportCount < BaseType;end
      class CanvasSisImportInput < BaseInputObject;end
      class CanvasSisImport < BaseType;end
      class CanvasSisAssignmentInput < BaseInputObject;end
      class CanvasSisAssignment < BaseType;end
      class CanvasAssignmentGroupAttributeInput < BaseInputObject;end
      class CanvasAssignmentGroupAttribute < BaseType;end
      class CanvasSectionAttributeInput < BaseInputObject;end
      class CanvasSectionAttribute < BaseType;end
      class CanvasCourseAttributeInput < BaseInputObject;end
      class CanvasCourseAttribute < BaseType;end
      class CanvasSectionAssignmentOverrideAttributeInput < BaseInputObject;end
      class CanvasSectionAssignmentOverrideAttribute < BaseType;end
      class CanvasUserAssignmentOverrideAttributeInput < BaseInputObject;end
      class CanvasUserAssignmentOverrideAttribute < BaseType;end
      class CanvasStudentAttributeInput < BaseInputObject;end
      class CanvasStudentAttribute < BaseType;end
      class CanvasScoreInput < BaseInputObject;end
      class CanvasScore < BaseType;end
      class CanvasSectionInput < BaseInputObject;end
      class CanvasSection < BaseType;end
      class CanvasSharedBrandConfigInput < BaseInputObject;end
      class CanvasSharedBrandConfig < BaseType;end
      class CanvasMediaCommentInput < BaseInputObject;end
      class CanvasMediaComment < BaseType;end
      class CanvasSubmissionCommentInput < BaseInputObject;end
      class CanvasSubmissionComment < BaseType;end
      class CanvasSubmissionInput < BaseInputObject;end
      class CanvasSubmission < BaseType;end
      class CanvasTabInput < BaseInputObject;end
      class CanvasTab < BaseType;end
      class CanvasPairingCodeInput < BaseInputObject;end
      class CanvasPairingCode < BaseType;end
      class CanvasUserDisplayInput < BaseInputObject;end
      class CanvasUserDisplay < BaseType;end
      class CanvasAnonymousUserDisplayInput < BaseInputObject;end
      class CanvasAnonymousUserDisplay < BaseType;end
      class CanvasUserInput < BaseInputObject;end
      class CanvasUser < BaseType;end
      class CanvasProfileInput < BaseInputObject;end
      class CanvasProfile < BaseType;end
      class CanvasAvatarInput < BaseInputObject;end
      class CanvasAvatar < BaseType;end
      class CanvasPageViewInput < BaseInputObject;end
      class CanvasPageView < BaseType;end
      class CanvasPageViewLinkInput < BaseInputObject;end
      class CanvasPageViewLink < BaseType;end
      class CanvasCourseNicknameInput < BaseInputObject;end
      class CanvasCourseNickname < BaseType;end
      class CanvasCourseEpubExportInput < BaseInputObject;end
      class CanvasCourseEpubExport < BaseType;end
      class CanvasEpubExportInput < BaseInputObject;end
      class CanvasEpubExport < BaseType;end
    end
  end
end